/**
 * gclc:fr.bigeon.gclc.manager.ReadingRunnableTest.java
 * Created on: Dec 6, 2016
 */
package fr.bigeon.gclc.manager;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.fail;

import java.io.BufferedReader;
import java.io.IOException;

import org.junit.Before;
import org.junit.Test;

/**
 * <p>
 * TODO
 *
 * @author Emmanuel Bigeon
 *
 */
public class ReadingRunnableTest {

    /**
     */
    @Before
    public void setUp() {}

    /**
     * Test method for {@link fr.bigeon.gclc.manager.ReadingRunnable#getMessage()}.
     */
    @Test
    public final void testGetMessage(){
        BufferedReader reader = null;
        ReadingRunnable runnable = new ReadingRunnable(reader);
        runnable.setRunning(false);

        try {
            runnable.getMessage();
            fail("reading from closed runnable");
        } catch (IOException e) {
            assertNotNull(e);
        }

    }

    /**
     * Test method for {@link fr.bigeon.gclc.manager.ReadingRunnable#hasMessage()}.
     */
    @Test
    public final void testHasMessage(){

        BufferedReader reader = null;
        ReadingRunnable runnable = new ReadingRunnable(reader);
        runnable.setRunning(false);

        try {
            runnable.getMessage();
            fail("reading from closed runnable");
        } catch (IOException e) {
            assertNotNull(e);
        }
    }

    /**
     * Test method for {@link fr.bigeon.gclc.manager.ReadingRunnable#getWaitForDelivery(java.lang.String)}.
     */
    @Test
    public final void testGetWaitForDelivery(){
    }

}
